E-MailRelay

Public Member Functions | List of all members
GNet::LineBufferIterator Class Reference

Syntactic sugar for calling GNet::LineBuffer iteration methods. More...

`#include <glinebuffer.h>`

## Public Member Functions
| LineBufferIterator (LineBuffer &buffer)
| Constructor. More...
bool | more ()
| See LineBuffer::more(). More...
const char * | data () const
| See LineBuffer::data(). More...
std::size_t | size () const
| See LineBuffer::size(). More...
std::size_t | eolsize () const
| See LineBuffer::eolsize(). More...
std::string | line () const
| Returns the current line (of length size()). More...
| LineBufferIterator (const LineBufferIterator &)=delete
| LineBufferIterator (LineBufferIterator &&)=delete
void | operator= (const LineBufferIterator &)=delete
void | operator= (LineBufferIterator &&)=delete

## Detailed Description

Syntactic sugar for calling GNet::LineBuffer iteration methods.

Definition at line 289 of file glinebuffer.h.

## Constructor & Destructor Documentation

## ◆ LineBufferIterator()

GNet::LineBufferIterator::LineBufferIterator | ( | LineBuffer & | buffer | ) |
| inline explicit

Constructor.

Definition at line 541 of file glinebuffer.h.

## Member Function Documentation

## ◆ data()

const char * GNet::LineBufferIterator::data | ( |  | ) | const
| inline

See LineBuffer::data().

Definition at line 559 of file glinebuffer.h.

## ◆ eolsize()

std::size_t GNet::LineBufferIterator::eolsize | ( |  | ) | const
| inline

See LineBuffer::eolsize().

Definition at line 571 of file glinebuffer.h.

## ◆ line()

std::string GNet::LineBufferIterator::line | ( |  | ) | const
| inline

Returns the current line (of length size()).

Definition at line 553 of file glinebuffer.h.

## ◆ more()

bool GNet::LineBufferIterator::more | ( |  | ) |
| inline

See LineBuffer::more().

Definition at line 547 of file glinebuffer.h.

## ◆ size()

std::size_t GNet::LineBufferIterator::size | ( |  | ) | const
| inline

See LineBuffer::size().

Definition at line 565 of file glinebuffer.h.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/glinebuffer.h